summaryrefslogtreecommitdiff
path: root/regress/scp-uri.sh
diff options
context:
space:
mode:
authordtucker@openbsd.org <dtucker@openbsd.org>2017-12-11 11:41:56 +0000
committerDamien Miller <djm@mindrot.org>2017-12-19 16:19:18 +1100
commitf689adb7a370b5572612d88be9837ca9aea75447 (patch)
treefcbfc3025ac3cc0e989375912eb7713e8bc5a404 /regress/scp-uri.sh
parent748dd8e5de332b24c40f4b3bbedb902acb048c98 (diff)
downloadopenssh-git-f689adb7a370b5572612d88be9837ca9aea75447.tar.gz
upstream commit
use cmp in a loop instead of diff -N to compare directories. The former works on more platforms for Portable. OpenBSD-Regress-ID: c3aa72807f9c488e8829a26ae50fe5bcc5b57099
Diffstat (limited to 'regress/scp-uri.sh')
-rw-r--r--regress/scp-uri.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/regress/scp-uri.sh b/regress/scp-uri.sh
index bf21bf32..c03d8bbe 100644
--- a/regress/scp-uri.sh
+++ b/regress/scp-uri.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: scp-uri.sh,v 1.1 2017/10/24 19:33:32 millert Exp $
+# $OpenBSD: scp-uri.sh,v 1.2 2017/12/11 11:41:56 dtucker Exp $
# Placed in the Public Domain.
tid="scp-uri"
@@ -51,14 +51,18 @@ scpclean
rm -rf ${DIR2}
cp ${DATA} ${DIR}/copy
$SCP $scpopts -r ${DIR} "scp://${USER}@somehost:${PORT}/${DIR2}" || fail "copy failed"
-diff -rN ${DIR} ${DIR2} || fail "corrupted copy"
+for i in $(cd ${DIR} && echo *); do
+ cmp ${DIR}/$i ${DIR2}/$i || fail "corrupted copy"
+done
verbose "$tid: recursive remote dir to local dir"
scpclean
rm -rf ${DIR2}
cp ${DATA} ${DIR}/copy
$SCP $scpopts -r "scp://${USER}@somehost:${PORT}/${DIR}" ${DIR2} || fail "copy failed"
-diff -rN ${DIR} ${DIR2} || fail "corrupted copy"
+for i in $(cd ${DIR} && echo *); do
+ cmp ${DIR}/$i ${DIR2}/$i || fail "corrupted copy"
+done
# TODO: scp -3